[arch-commits] CVS update of arch/build/devel/php (5 files)

Pierre Schmitz pierre at archlinux.org
Wed Jun 6 22:01:32 UTC 2007


    Date: Wednesday, June 6, 2007 @ 18:01:32
  Author: pierre
    Path: /home/cvs-arch/arch/build/devel/php

   Added: CVE-2007-2872.patch (1.1)
Modified: PKGBUILD (1.100 -> 1.101) php.ini (1.16 -> 1.17)
 Removed: CVE-2006-4812.patch (1.2) imap-2006c.patch (1.1)

upgpkg: php 5.2.3-3
PKGBUILD cleanup; updated php.ini; added CVE-2007-2872.patch; rebuild against new libcurl


---------------------+
 CVE-2006-4812.patch |   22 ---
 CVE-2007-2872.patch |   35 ++++++
 PKGBUILD            |  278 +++++++++++++++++++++++++++-----------------------
 imap-2006c.patch    |   41 -------
 php.ini             |   72 +-----------
 5 files changed, 201 insertions(+), 247 deletions(-)


Index: arch/build/devel/php/CVE-2006-4812.patch
diff -u arch/build/devel/php/CVE-2006-4812.patch:1.2 arch/build/devel/php/CVE-2006-4812.patch:removed
--- arch/build/devel/php/CVE-2006-4812.patch:1.2	Thu Oct 26 06:14:55 2006
+++ arch/build/devel/php/CVE-2006-4812.patch	Wed Jun  6 18:01:32 2007
@@ -1,22 +0,0 @@
-diff -Nura php-5.1.6.orig/Zend/zend_alloc.c php-5.1.6/Zend/zend_alloc.c
---- php-5.1.6.orig/Zend/zend_alloc.c	2006-08-10 19:16:24.000000000 +0200
-+++ php-5.1.6/Zend/zend_alloc.c	2006-10-09 09:36:32.000000000 +0200
-@@ -328,15 +328,14 @@
- ZEND_API void *_ecalloc(size_t nmemb, size_t size ZEND_FILE_LINE_DC ZEND_FILE_LINE_ORIG_DC)
- {
- 	void *p;
--	int final_size = size*nmemb;
--	
-+
- 	HANDLE_BLOCK_INTERRUPTIONS();
--	p = _emalloc(final_size ZEND_FILE_LINE_RELAY_CC ZEND_FILE_LINE_ORIG_RELAY_CC);
-+	p = _safe_emalloc(nmemb, size, 0 ZEND_FILE_LINE_RELAY_CC ZEND_FILE_LINE_ORIG_RELAY_CC);
- 	if (!p) {
- 		HANDLE_UNBLOCK_INTERRUPTIONS();
- 		return (void *) p;
- 	}
--	memset(p, 0, final_size);
-+	memset(p, 0, size * nmemb);
- 	HANDLE_UNBLOCK_INTERRUPTIONS();
- 	return p;
- }
Index: arch/build/devel/php/CVE-2007-2872.patch
diff -u /dev/null arch/build/devel/php/CVE-2007-2872.patch:1.1
--- /dev/null	Wed Jun  6 18:01:32 2007
+++ arch/build/devel/php/CVE-2007-2872.patch	Wed Jun  6 18:01:30 2007
@@ -0,0 +1,35 @@
+--- string.c	2007/05/30 00:33:13	1.445.2.14.2.58
++++ string.c	2007/06/03 18:47:10	1.445.2.14.2.59
+@@ -18,7 +18,7 @@
+    +----------------------------------------------------------------------+
+  */
+ 
+-/* $Id: CVE-2007-2872.patch,v 1.1 2007/06/06 22:01:30 pierre Exp $ */
++/* $Id: CVE-2007-2872.patch,v 1.1 2007/06/06 22:01:30 pierre Exp $ */
+ 
+ /* Synced with php 3.0 revision 1.193 1999-06-16 [ssb] */
+ 
+@@ -1956,18 +1956,20 @@
+ 	char *p, *q;
+ 	int chunks; /* complete chunks! */
+ 	int restlen;
+-	int out_len; 
++	float out_len; 
+ 
+ 	chunks = srclen / chunklen;
+ 	restlen = srclen - chunks * chunklen; /* srclen % chunklen */
+ 
+-	out_len = (srclen + (chunks + 1) * endlen + 1);
++	out_len = chunks + 1;
++	out_len *= endlen;
++	out_len += srclen + 1;
+ 
+ 	if (out_len > INT_MAX || out_len <= 0) {
+ 		return NULL;
+ 	}
+ 
+-	dest = safe_emalloc(out_len, sizeof(char), 0);
++	dest = safe_emalloc((int)out_len, sizeof(char), 0);
+ 
+ 	for (p = src, q = dest; p < (src + srclen - chunklen + 1); ) {
+ 		memcpy(q, p, chunklen);
Index: arch/build/devel/php/PKGBUILD
diff -u arch/build/devel/php/PKGBUILD:1.100 arch/build/devel/php/PKGBUILD:1.101
--- arch/build/devel/php/PKGBUILD:1.100	Sat Jun  2 10:45:30 2007
+++ arch/build/devel/php/PKGBUILD	Wed Jun  6 18:01:30 2007
@@ -1,131 +1,163 @@
-# $Id: PKGBUILD,v 1.100 2007/06/02 14:45:30 pierre Exp $
-# Maintainer: dorphell <dorphell at archlinux.org>
-
-# since php and php-cgi get always updated at the same time we combine
-# the packages
+# $Id: PKGBUILD,v 1.101 2007/06/06 22:01:30 pierre Exp $
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
 pkgname=php
 pkgver=5.2.3
-pkgrel=2
+pkgrel=3
 _suhosinver=0.9.6.2
-pkgdesc="A high-level scripting language"
-arch=(i686 x86_64)
-license=(PHP)
-url="http://www.php.net"
-backup=(etc/php.ini)
+pkgdesc='A high-level scripting language'
+arch=('i686' 'x86_64')
+license=('PHP')
+url='http://www.php.net'
+backup=('etc/php.ini')
 install=php.install
-depends=('openssl>=0.9.8d' 'pam' 'bzip2' 'gdbm' 'ncurses' 'curl' 'libxslt'
-         'freetype2>=2.2.1' 'libjpeg' 'libpng')
-makedepends=('apache>=2.2.1' 'imap' 'postgresql-libs>=8.2.3'
-             'mysql' 'libldap' 'smtp-server' 'sqlite3' 'unixodbc'
-             'net-snmp' 'libmcrypt')
+depends=('openssl' 'pam' 'bzip2' 'gdbm' 'ncurses' 'curl' 'libxslt' 'freetype2' \
+         'libjpeg' 'libpng')
+makedepends=('apache' 'imap' 'postgresql-libs' 'mysql' 'libldap' 'smtp-server' \
+             'sqlite3' 'unixodbc' 'net-snmp' 'libmcrypt')
 conflicts=('php-cgi' 'php-suhosin')
 replaces=('php-cgi' 'php-suhosin')
-source=(http://www.php.net/distributions/${pkgname}-${pkgver}.tar.bz2
-        http://www.hardened-php.net/suhosin/_media/suhosin-patch-${pkgver}-${_suhosinver}.patch.gz
-        php.ini)
-md5sums=('eb50b751c8e1ced05bd012d5a0e4dec3'
-         'f217d04f9513222e48cea6588ac65b89'
-         'c7679454d65d9ea28d751cd1db389fcb')
+source=("http://www.php.net/distributions/${pkgname}-${pkgver}.tar.bz2" \
+        "http://www.hardened-php.net/suhosin/_media/suhosin-patch-${pkgver}-${_suhosinver}.patch.gz" \
+        'CVE-2007-2872.patch' \
+        'php.ini')
+md5sums=('eb50b751c8e1ced05bd012d5a0e4dec3' \
+         'f217d04f9513222e48cea6588ac65b89' \
+         '100484c448ba1a2a069db8af1ae9fc7f' \
+         '2c5193ae494d5694999c042ec7a66dd6')
 
 build() {
-  export MAKEFLAGS="-j1"
-    ##############   BUILD php-cgi from here
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -p 1 -i ../suhosin-patch-${pkgver}-${_suhosinver}.patch || return 1
-  ./configure --prefix=/usr --enable-fastcgi --enable-cgi \
-    --enable-discard-path --enable-force-cgi-redirect \
-    --sysconfdir=/etc --with-layout=PHP \
-    --with-ttf --enable-mailparse --with-config-file-scan-dir=/etc \
-    --enable-bcmath=shared --enable-calendar=shared --enable-ftp=shared \
-    --enable-gd-native-ttf --enable-magic-quotes --enable-posix=shared \
-    --enable-session --enable-shared --enable-shmop=shared --enable-pdo=shared \
-    --enable-sqlite-utf8 --enable-sockets=shared --enable-xml\
-    --enable-sysvsem=shared --enable-sysvshm=shared --enable-sysvmsg=shared \
-    --enable-track-vars --enable-trans-sid --enable-safe-mode \
-    --with-imap --with-imap-ssl --with-ncurses --with-readline \
-    --with-bz2=shared --with-curl --with-mime-magic \
-    --with-freetype-dir=/usr --with-gd=shared --enable-exif --with-jpeg-dir=/usr \
-    --enable-dba --without-db2 --without-db3 --with-inifile --with-flatfile \
-    --with-gdbm --with-ldap=shared --with-openssl --with-gettext \
-    --with-unixODBC=shared,/usr --with-pdo-odbc=shared,unixODBC,/usr \
-    --with-mysqli=shared --with-mysql-sock=/tmp/mysql.sock \
-    --with-pdo-mysql=shared,/usr --with-mysql=shared,/usr \
-    --with-pgsql=shared --with-pgsql-sock=/tmp/pgsql.sock --with-pdo-pgsql=shared,/usr \
-    --with-sqlite=shared --with-pdo-sqlite=shared,/usr \
-    --with-pear=/usr/share/pear --with-dom --with-dom-xslt --with-xsl \
-    --with-png-dir=/usr --with-regex=php --with-zlib --enable-soap=shared \
-    --enable-mbstring=all --enable-mbregex --with-snmp=shared,/usr \
-    --enable-dbase --enable-pcntl
-
-  make || return 1
-  make INSTALL_ROOT=${startdir}/pkg install || return 1
-
-   # here starts the cleanup
-  cd ${startdir}/pkg
-  rm -rf etc ./{.registry,.channels,.depdb*,.lock,.file*} usr/{include,share,lib,man}
-  rm ${startdir}/pkg/usr/bin/{php,phpize,php-config,pecl,pear*}
-#########################################################################################
-
-  ### make standard php
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  make distclean
-  ./configure --with-apxs2 --prefix=/usr --sysconfdir=/etc \
-    --with-layout=PHP \
-    --with-ttf --enable-mailparse --with-config-file-scan-dir=/etc \
-    --enable-bcmath=shared --enable-calendar=shared --enable-ftp=shared \
-    --enable-gd-native-ttf --enable-magic-quotes --enable-posix=shared \
-    --enable-session --enable-shared --enable-shmop=shared --enable-pdo=shared \
-    --enable-sqlite-utf8 --enable-sockets=shared --enable-xml\
-    --enable-sysvsem=shared --enable-sysvshm=shared --enable-sysvmsg=shared \
-    --enable-track-vars --enable-trans-sid --enable-safe-mode \
-    --with-imap --with-imap-ssl --with-ncurses --with-readline \
-    --with-bz2=shared --with-curl --with-mime-magic \
-    --with-freetype-dir=/usr --with-gd=shared --enable-exif --with-jpeg-dir=/usr \
-    --enable-dba --without-db2 --without-db3 --with-inifile --with-flatfile \
-    --with-gdbm --with-openssl --with-gettext \
-    --with-ldap=shared --with-mcrypt=shared,/usr \
-    --with-unixODBC=shared,/usr --with-pdo-odbc=shared,unixODBC,/usr \
-    --with-mysqli=shared --with-mysql-sock=/tmp/mysql.sock \
-    --with-pdo-mysql=shared,/usr --with-mysql=shared,/usr \
-    --with-pgsql=shared --with-pgsql-sock=/tmp/pgsql.sock --with-pdo-pgsql=shared,/usr \
-    --with-sqlite=shared --with-pdo-sqlite=shared,/usr \
-    --with-pear=/usr/share/pear --with-dom --with-dom-xslt --with-xsl \
-    --with-png-dir=/usr --with-regex=php --with-zlib --enable-soap=shared \
-    --enable-mbstring=all --enable-mbregex --with-snmp=shared,/usr \
-    --enable-dbase --enable-pcntl
-
-  # fixes a build error in sqlite support
-  ln -s main/php_config.h ./config.h
-
-  make || return 1
-  mkdir -p ${startdir}/pkg/usr/lib/apache
-  #  cp config_vars.mk config_vars.old
-  #  sed "s|^INSTALL_IT.*$|INSTALL_IT = apxs -i -a -S LIBEXECDIR=${startdir}/pkg/usr/lib/apache -n php4 libs/libphp4.so|" config_vars.old >config_vars.mk
-  sed -i "s|-i -a -n php5|-i -n php5|g" Makefile
-  make INSTALL_ROOT=${startdir}/pkg install || return 1
-  cp ../php.ini ${startdir}/pkg/etc
-
-  #FS #3395
-  cd ${startdir}/pkg/usr/lib/php/extensions && ln -s * php
-
-  ############## Ugly fix for FS #3563 and #3577
-  cd ${startdir}/pkg
-  sed "s|$PWD||g" -i usr/share/pear/{peclcmd.php,pearcmd.php,PEAR/Command/Package.php} usr/bin/{pear,peardev,pecl}
-
-  sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
-    etc/pear.conf |sh > etc/pear.conf.tmp
-  mv etc/pear.conf.tmp etc/pear.conf
-
-  sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
-    usr/share/pear/.registry/console_getopt.reg |sh > usr/share/pear/.registry/console_getopt.reg.tmp
-  mv usr/share/pear/.registry/console_getopt.reg.tmp usr/share/pear/.registry/console_getopt.reg
-
-  sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
-    usr/share/pear/.registry/archive_tar.reg |sh > usr/share/pear/.registry/archive_tar.reg.tmp
-  mv usr/share/pear/.registry/archive_tar.reg.tmp usr/share/pear/.registry/archive_tar.reg
-
-  sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
-    usr/share/pear/.registry/pear.reg |sh > usr/share/pear/.registry/pear.reg.tmp
-  mv usr/share/pear/.registry/pear.reg.tmp usr/share/pear/.registry/pear.reg
-  ##############
-}
+	export MAKEFLAGS="-j1"
+
+	# common config
+	phpconfig="--prefix=/usr \
+	--sysconfdir=/etc \
+	--with-layout=PHP \
+	--with-ttf \
+	--enable-mailparse \
+	--with-config-file-scan-dir=/etc \
+	--enable-bcmath=shared \
+	--enable-calendar=shared \
+	--enable-ftp=shared \
+	--enable-gd-native-ttf \
+	--enable-magic-quotes \
+	--enable-posix=shared \
+	--enable-session \
+	--enable-shared \
+	--enable-shmop=shared \
+	--enable-pdo=shared \
+	--enable-sqlite-utf8 \
+	--enable-sockets=shared \
+	--enable-xml \
+	--enable-sysvsem=shared \
+	--enable-sysvshm=shared \
+	--enable-sysvmsg=shared \
+	--enable-track-vars \
+	--enable-trans-sid \
+	--enable-safe-mode \
+	--with-imap \
+	--with-imap-ssl \
+	--with-ncurses \
+	--with-readline \
+	--with-bz2=shared \
+	--with-curl \
+	--with-mime-magic \
+	--with-freetype-dir=/usr \
+	--with-gd=shared \
+	--enable-exif \
+	--with-jpeg-dir=/usr \
+	--enable-dba \
+	--without-db2 \
+	--without-db3 \
+	--with-inifile \
+	--with-flatfile \
+	--with-gdbm \
+	--with-openssl \
+	--with-gettext \
+	--with-ldap=shared \
+	--with-mcrypt=shared,/usr \
+	--with-unixODBC=shared,/usr \
+	--with-pdo-odbc=shared,unixODBC,/usr \
+	--with-mysqli=shared \
+	--with-mysql-sock=/tmp/mysql.sock \
+	--with-pdo-mysql=shared,/usr \
+	--with-mysql=shared,/usr \
+	--with-pgsql=shared \
+	--with-pgsql-sock=/tmp/pgsql.sock \
+	--with-pdo-pgsql=shared,/usr \
+	--with-sqlite=shared \
+	--with-pdo-sqlite=shared,/usr \
+	--with-pear=/usr/share/pear \
+	--with-dom \
+	--with-dom-xslt \
+	--with-xsl \
+	--with-png-dir=/usr \
+	--with-regex=php \
+	--with-zlib \
+	--enable-soap=shared \
+	--enable-mbstring=all \
+	--enable-mbregex \
+	--with-snmp=shared,/usr \
+	--enable-dbase \
+	--enable-pcntl"
+
+	cd ${startdir}/src/${pkgname}-${pkgver}
+
+	cd ext/standard
+	patch -i ${startdir}/src/CVE-2007-2872.patch || return 1
+	cd ../../
+
+	# apply suhosin patch
+	patch -p1 -i ${startdir}/src/suhosin-patch-${pkgver}-${_suhosinver}.patch || return 1
+
+	# cgi and fcgi
+	./configure ${phpconfig} \
+		--enable-fastcgi \
+		--enable-cgi \
+		--enable-discard-path \
+		--enable-force-cgi-redirect \
+		|| return 1
+
+	make || return 1
+	make INSTALL_ROOT=${startdir}/pkg install || return 1
+
+	# cleanup
+	rm -rf ${startdir}/pkg/etc ${startdir}/pkg/{.registry,.channels,.depdb*,.lock,.file*}
+	rm -rf ${startdir}/pkg/usr/{include,share,lib,man}
+	rm ${startdir}/pkg/usr/bin/{php,phpize,php-config,pecl,pear*}
+
+	# mod_php
+	make distclean
+	./configure ${phpconfig} --with-apxs2 || return 1
+
+	make || return 1
+	install -d -m755 ${startdir}/pkg/usr/lib/apache
+	sed -i "s|-i -a -n php5|-i -n php5|g" Makefile
+	make INSTALL_ROOT=${startdir}/pkg install || return 1
+
+
+	# install php.ini
+	install -D -m644 ${startdir}/src/php.ini ${startdir}/pkg/etc/php.ini
+
+	# FS #3395
+	cd ${startdir}/pkg/usr/lib/php/extensions && ln -s * php
+
+	# Ugly fix for FS #3563 and #3577
+	cd ${startdir}/pkg
+	sed "s|$PWD||g" -i usr/share/pear/{peclcmd.php,pearcmd.php,PEAR/Command/Package.php} usr/bin/{pear,peardev,pecl}
+
+	sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
+	etc/pear.conf |sh > etc/pear.conf.tmp
+	mv etc/pear.conf.tmp etc/pear.conf
+
+	sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
+	usr/share/pear/.registry/console_getopt.reg |sh > usr/share/pear/.registry/console_getopt.reg.tmp
+	mv usr/share/pear/.registry/console_getopt.reg.tmp usr/share/pear/.registry/console_getopt.reg
+
+	sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
+	usr/share/pear/.registry/archive_tar.reg |sh > usr/share/pear/.registry/archive_tar.reg.tmp
+	mv usr/share/pear/.registry/archive_tar.reg.tmp usr/share/pear/.registry/archive_tar.reg
+
+	sed 's#:\([0-9]*\):\"'$PWD'#:$((\1-'`echo -n $PWD|wc -c`')):\"#g;  s#\"#\\"#g;  s#.*#echo "&"#g' \
+	usr/share/pear/.registry/pear.reg |sh > usr/share/pear/.registry/pear.reg.tmp
+	mv usr/share/pear/.registry/pear.reg.tmp usr/share/pear/.registry/pear.reg
+}
\ No newline at end of file
Index: arch/build/devel/php/imap-2006c.patch
diff -u arch/build/devel/php/imap-2006c.patch:1.1 arch/build/devel/php/imap-2006c.patch:removed
--- arch/build/devel/php/imap-2006c.patch:1.1	Thu Oct 26 06:14:55 2006
+++ arch/build/devel/php/imap-2006c.patch	Wed Jun  6 18:01:32 2007
@@ -1,41 +0,0 @@
---- ext/imap/php_imap.c	2006/09/05 11:24:49	1.208.2.7.2.5
-+++ ext/imap/php_imap.c	2006/10/05 14:25:41	1.208.2.7.2.7
-@@ -75,7 +75,11 @@
- void rfc822_date(char *date);
- char *cpystr(const char *str);
- char *cpytxt(SIZEDTEXT *dst, char *text, unsigned long size);
-+#ifndef HAVE_NEW_MIME2TEXT
- long utf8_mime2text(SIZEDTEXT *src, SIZEDTEXT *dst);
-+#else
-+long utf8_mime2text (SIZEDTEXT *src, SIZEDTEXT *dst, long flags);
-+#endif
- unsigned long find_rightmost_bit(unsigned long *valptr);
- void fs_give(void **block);
- void *fs_get(size_t size);
-@@ -2177,7 +2181,12 @@
- 	dest.size = 0;
- 
- 	cpytxt(&src, Z_STRVAL_PP(str), Z_STRLEN_PP(str));
-+
-+#ifndef HAVE_NEW_MIME2TEXT
- 	utf8_mime2text(&src, &dest);
-+#else
-+	utf8_mime2text(&src, &dest, U8T_CANONICAL);
-+#endif
- 	RETURN_STRINGL(dest.data, strlen(dest.data), 1);
- }
- /* }}} */
---- ext/imap/config.m4	2005/05/29 23:16:41	1.69
-+++ ext/imap/config.m4	2006/09/24 18:06:53	1.70
-@@ -113,6 +113,11 @@
-     dnl Check for c-client version 2004
-     AC_EGREP_HEADER(mail_fetch_overview_sequence, $IMAP_INC_DIR/mail.h, [
-       AC_DEFINE(HAVE_IMAP2004,1,[ ])
-+    ])
-+    
-+    dnl Check for new version of the utf8_mime2text() function
-+    AC_EGREP_HEADER(mail_append_set, $IMAP_INC_DIR/mail.h, [
-+      AC_DEFINE(HAVE_NEW_MIME2TEXT,1,[ ])
-     ])
- 
-     dnl Check for c-client version 2001
Index: arch/build/devel/php/php.ini
diff -u arch/build/devel/php/php.ini:1.16 arch/build/devel/php/php.ini:1.17
--- arch/build/devel/php/php.ini:1.16	Fri May  4 17:46:46 2007
+++ arch/build/devel/php/php.ini	Wed Jun  6 18:01:31 2007
@@ -1,18 +1,7 @@
 [PHP]
 
-;;;;;;;;;;;
-; WARNING ;
-;;;;;;;;;;;
-; This is the default settings file for new PHP installations.
-; By default, PHP installs itself with a configuration suitable for
-; development purposes, and *NOT* for production purposes.
-; For several security-oriented considerations that should be taken
-; before going online with your site, please consult php.ini-recommended
-; and http://php.net/manual/en/security.php.
-
-
 ;;;;;;;;;;;;;;;;;;;
-; About this file ;
+; About php.ini   ;
 ;;;;;;;;;;;;;;;;;;;
 ; This file controls many aspects of PHP's behavior.  In order for PHP to
 ; read it, it must be named 'php.ini'.  PHP looks for it in the current
@@ -119,6 +108,9 @@
 ;     It's not possible to decide to force a variable to be passed by reference
 ;     when calling a function.  The PHP 4 style to do this is by making the
 ;     function require the relevant argument by reference.
+; - short_open_tag = Off           [Portability]
+;     Using short tags is discouraged when developing code meant for redistribution
+;     since short tags may not be supported on the target server.
 
 ;;;;;;;;;;;;;;;;;;;;
 ; Language Options ;
@@ -310,6 +302,7 @@
 
 max_execution_time = 30     ; Maximum execution time of each script, in seconds
 max_input_time = 60	; Maximum amount of time each script may spend parsing request data
+;max_input_nesting_level = 64 ; Maximum input variable nesting level
 memory_limit = 16M      ; Maximum amount of memory a script may consume (16MB)
 
 
@@ -345,7 +338,7 @@
 ;
 ;   - Show all errors, except for notices and coding standards warnings
 ;
-error_reporting = E_ALL & ~E_NOTICE
+;error_reporting = E_ALL & ~E_NOTICE
 ;
 ;   - Show all errors, except for notices
 ;
@@ -357,7 +350,7 @@
 ;
 ;   - Show all errors, except coding standards warnings
 ;
-;error_reporting  =  E_ALL
+error_reporting  =  E_ALL
 
 ; Print out errors (as a part of the output).  For production web sites,
 ; you're strongly encouraged to turn this feature off, and use error logging
@@ -557,7 +550,7 @@
 ; this to 1 will cause PHP CGI to fix it's paths to conform to the spec.  A setting
 ; of zero causes PHP to behave as before.  Default is zero.  You should fix your scripts
 ; to use SCRIPT_FILENAME rather than PATH_TRANSLATED.
-; cgi.fix_pathinfo=0
+; cgi.fix_pathinfo=1
 
 ; FastCGI under IIS (on WINNT based OS) supports the ability to impersonate
 ; security tokens of the calling client.  This allows IIS to define the
@@ -670,9 +663,9 @@
 ;PCRE library backtracking limit.
 ;pcre.backtrack_limit=100000
 
-;PCRE library recursion limit. 
-;Please note that if you set this value to a high number you may consume all 
-;the available process stack and eventually crash PHP (due to reaching the 
+;PCRE library recursion limit.
+;Please note that if you set this value to a high number you may consume all
+;the available process stack and eventually crash PHP (due to reaching the
 ;stack size limit imposed by the Operating System).
 ;pcre.recursion_limit=100000
 
@@ -697,11 +690,6 @@
 ; to the sendmail binary. These parameters will always replace the value of
 ; the 5th parameter to mail(), even in safe mode.
 ;mail.force_extra_parameters =
-[Java]
-;java.class.path = .\php_java.jar
-;java.home = c:\jdk
-;java.library = c:\jdk\jre\bin\hotspot\jvm.dll 
-;java.library.path = .\
 
 [SQL]
 sql.safe_mode = Off
@@ -907,16 +895,6 @@
 ; Minimum client message severity to display.
 sybct.min_client_severity = 10
 
-[dbx]
-; returned column names can be converted for compatibility reasons
-; possible values for dbx.colnames_case are
-; "unchanged" (default, if not set)
-; "lowercase"
-; "uppercase"
-; the recommended default is either upper- or lowercase, but
-; unchanged is currently set for backwards compatibility
-dbx.colnames_case = "unchanged"
-
 [bcmath]
 ; Number of decimal digits for all bcmath functions.
 bcmath.scale = 0
@@ -1175,25 +1153,6 @@
 ; error_reporting(0) around the eval().
 ;assert.quiet_eval = 0
 
-[Ingres II]
-; Allow or prevent persistent links.
-ingres.allow_persistent = On
-
-; Maximum number of persistent links.  -1 means no limit.
-ingres.max_persistent = -1
-
-; Maximum number of links, including persistents.  -1 means no limit.
-ingres.max_links = -1
-
-; Default database (format: [node_id::]dbname[/srv_class]).
-ingres.default_database =
-
-; Default user.
-ingres.default_user =
-
-; Default password.
-ingres.default_password =
-
 [Verisign Payflow Pro]
 ; Default Payflow Pro server.
 pfpro.defaulthost = "test-payflow.verisign.com"
@@ -1232,9 +1191,6 @@
 ; show warnings on duplicate constant registrations
 ;com.autoregister_verbose = true
 
-[Printer]
-;printer.default_printer = ""
-
 [mbstring]
 ; language for internal character representation.
 ;mbstring.language = Japanese
@@ -1293,12 +1249,6 @@
 ;fbsql.max_links = 128
 ;fbsql.max_persistent = -1
 ;fbsql.max_results = 128
-;fbsql.batchSize = 1000
-
-[Crack]
-; Modify the setting below to match the directory location of the cracklib
-; dictionary files.  Include the base filename, but not the file extension.
-; crack.default_dictionary = "c:\php\lib\cracklib_dict"
 
 [gd]
 ; Tell the jpeg decode to libjpeg warnings and try to create




More information about the arch-commits mailing list